### Method

# Gimp Gradient segment_range_replicate

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_range_replicate (
      GimpGradient* gradient,
      gint start_segment,
      gint end_segment,
      gint replicate_times
    )

#### Description [src]

Replicate the segment range

Replicates a segment range a given number of times. Instead of the original segment range, several smaller scaled copies of it will appear in equal widths. Returns an error when a segment index is out of range, or gradient is not editable.

Available since: 2.2

#### Parameters

`start_segment`

  Type: `gint`

  Index of the first segment to operate on.

`end_segment`

  Type: `gint`

  Index of the last segment to operate on. If negative, the range will extend to the end segment.

`replicate_times`

  Type: `gint`

  The number of replicas for each segment.

#### Return value

Type: `gboolean`

TRUE on success.